Bug 979367 - [abrt]: WARNING: at drivers/base/driver.c:207 driver_unregister+0x6c/0x80() [NEEDINFO]
[abrt]: WARNING: at drivers/base/driver.c:207 driver_unregister+0x6c/0x80()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-wireless-brcm80211
Fedora Extras Quality Assurance
abrt_hash:0655c606f15af3a800b13432f9e...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 06:40 EDT by Thomas Bose
Modified: 2014-02-05 16:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:59:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo? (bosedayala)
jogreene: needinfo? (bosedayala)
arend: needinfo? (bosedayala)
jogreene: needinfo? (bosedayala)


Attachments (Terms of Use)

  None (edit)
Description Thomas Bose 2013-06-28 06:40:36 EDT
Description of problem:
donno how it happened. While shtting down i noticed it.

Additional info:
WARNING: at drivers/base/driver.c:207 driver_unregister+0x6c/0x80()
Hardware name: Precision M4700
Unexpected driver unregister!
Modules linked in: brcmfmac(-) brcmutil cfg80211 vfat fat usb_storage tcp_lp fuse ebtable_nat ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter rfcomm ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio bnep libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi btusb bluetooth snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec uvcvideo videobuf2_vmalloc snd_hwdep snd_seq videobuf2_memops iTCO_wdt videobuf2_core iTCO_vendor_support ppdev parport_pc videodev parport media rfkill dell_wmi sparse_keymap coretemp snd_seq_device microcode snd_pcm snd_page_alloc snd_timer snd vhost_net soundcore mei dell_laptop tun dcdbas macvtap i2c_i801 lpc_ich macvlan kvm_intel kvm uinput nouveau crc32c_intel firewire_ohci sdhci_pci sdhci mxm_wmi i915 firewire_core ttm mmc_core crc_itu_t i2c_algo_bit drm_kms_helper drm e1000e i2c_core wmi video sunrpc [last unloaded: bcma]
Pid: 28697, comm: modprobe Not tainted 3.6.10-4.fc18.i686 #1
Call Trace:
 [<c043c642>] warn_slowpath_common+0x72/0xa0
 [<c073897c>] ? driver_unregister+0x6c/0x80
 [<c073897c>] ? driver_unregister+0x6c/0x80
 [<c043c713>] warn_slowpath_fmt+0x33/0x40
 [<c073897c>] driver_unregister+0x6c/0x80
 [<f8687ca7>] sdio_unregister_driver+0x17/0x20 [mmc_core]
 [<f815f302>] brcmf_sdio_exit+0x12/0x20 [brcmfmac]
 [<f816176b>] brcmfmac_module_exit+0x12/0x8a7 [brcmfmac]
 [<c04983fa>] sys_delete_module+0x13a/0x2b0
 [<c0544f72>] ? __fput+0x142/0x1f0
 [<c04ad86c>] ? __audit_syscall_entry+0xbc/0x290
 [<c096219f>] sysenter_do_call+0x12/0x28

Potential duplicate: bug 909872
Comment 1 Justin M. Forbes 2013-10-18 17:11:24 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 2 John Greene 2013-10-28 11:07:47 EDT
Can you upload a dmesg of the issue? 
Also, the output of lspci -nnvv?

Thanks. Let's see what we can find.
Comment 3 Arend van Spriel 2013-10-29 04:48:46 EDT
(In reply to John Greene from comment #2)
> Can you upload a dmesg of the issue? 
> Also, the output of lspci -nnvv?
> 
> Thanks. Let's see what we can find.

Hi John,

lspci will not show anything for this SDIO driver. The warning means a driver was unregistered, but it was never registered. As always dmesg and kernel configuration would be helpful.
Comment 4 John Greene 2013-11-13 10:26:58 EST
Thomas, 

My bad on the lspci.  What would I do without Arend keeping me straight ;)

Can you upload the dmesg of your issue and if you have the .config from the build (which is /boot:  config* where * matches the uname -r of your running kernel.

This will help us move forward for you.
Comment 5 Fedora End Of Life 2013-12-21 09:11:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:59:59 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.